none
windows ce的编程环境的设置问题 RRS feed

  • 问题

  • 官方网站上关于CE6的安装使用介绍中说要和VS2005一起用,CE7的话要和VS2008一起用,windows phone7的话要和VS2010一起用,我有点不太明白这些描述,是不是说CE的不同版本要搭配不同的VS使用?phone系列的开发是不是也是这样?

    要是这样很麻烦啊,换个CE就要换个VS的版本,有什么办法可以固定一个版本的VS使用不同版本的CE和phone?


    • 已移动 WESfan 2012年2月2日 1:16 属于CE板块 (发件人:Windows Embedded Standard 7 (嵌入式Windows 7))
    • 已编辑 xzhanji 2012年4月23日 11:58
    2012年1月21日 5:22

答案

  • 你好,

    是这样的,不同的平台有不同的编译器,但是每个VS的版本中,所支持的编译器是不同的。所以建议特定的版本用特定的VS去编译。

    致礼


    Jesse Jiang [MSFT]
    MSDN Community Support | Feedback to us
    • 已标记为答案 xzhanji 2012年4月23日 11:58
    2012年2月6日 8:57
    版主
  • 恩,这一点的确是比较头疼。

    但是CE也分为OS剪裁和应用开发,如果说是Build一个针对特定板子的操作系统镜像,那么,只能按照要求来,就像Jesse所说,“每个VS的版本中,所支持的编译器是不同的”。

    如果说是CE应用开发,就没有那么多限制了。只要安装它对应的SDK,在VS2005或者是VS2008上都可以。

    关于Windows Phone的话,和CE又不一样了,虽然其内核还是CE。目前,我们只能使用微软发布的WP SDK进行应用开发,其开放程度远不及CE,我们进行应用开发必须遵循其规范。

    总的来说,目前还没有办法做到使用一个版本VS,来同时开发不同版本的CE和Windows Phone。


    Keep Fighting

    • 已标记为答案 xzhanji 2012年4月23日 11:57
    2012年2月11日 11:29

全部回复

  • 你好,

    是这样的,不同的平台有不同的编译器,但是每个VS的版本中,所支持的编译器是不同的。所以建议特定的版本用特定的VS去编译。

    致礼


    Jesse Jiang [MSFT]
    MSDN Community Support | Feedback to us
    • 已标记为答案 xzhanji 2012年4月23日 11:58
    2012年2月6日 8:57
    版主
  • 恩,这一点的确是比较头疼。

    但是CE也分为OS剪裁和应用开发,如果说是Build一个针对特定板子的操作系统镜像,那么,只能按照要求来,就像Jesse所说,“每个VS的版本中,所支持的编译器是不同的”。

    如果说是CE应用开发,就没有那么多限制了。只要安装它对应的SDK,在VS2005或者是VS2008上都可以。

    关于Windows Phone的话,和CE又不一样了,虽然其内核还是CE。目前,我们只能使用微软发布的WP SDK进行应用开发,其开放程度远不及CE,我们进行应用开发必须遵循其规范。

    总的来说,目前还没有办法做到使用一个版本VS,来同时开发不同版本的CE和Windows Phone。


    Keep Fighting

    • 已标记为答案 xzhanji 2012年4月23日 11:57
    2012年2月11日 11:29